Bug 1348206

Summary: Review Request: rubygem-packetfu - PacketFu is a mid-level packet manipulation library
Product: [Fedora] Fedora Reporter: Germano Massullo <germano.massullo>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: extras-qa, fale, nobody, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-06 00:00:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1348163, 1348202    
Bug Blocks: 1348005    

Description Germano Massullo 2016-06-20 12:44:34 UTC
Description: PacketFu is a mid-level packet manipulation library for Ruby. With it, users can read, parse, and write network packets with the level of ease and fun they expect from Ruby. Note that this gem does not automatically require pcaprub, since users may install pcaprub through non-gem means.

Spec: https://germano.fedorapeople.org/package_reviews/rubygem-packetfu/rubygem-packetfu.spec

Source RPM: https://germano.fedorapeople.org/package_reviews/rubygem-packetfu/rubygem-packetfu-1.1.11-1.fc23.src.rpm

FAS name: germano

Comment 1 Fabio Alessandro Locati 2017-01-23 10:02:28 UTC
Any updates on this?

Comment 2 Germano Massullo 2017-01-23 10:18:11 UTC
I am packaging rubygem-packetfu because it is needed by rubygem-bettercap. By the way I am stuck on rubygem-celluloid-* as explained in
https://bugzilla.redhat.com/show_bug.cgi?id=1348005#c6
If it will not be possible to proceed with rubygem-celluloid-*, I will be forced to abort the entire process, or finish the review and orphan the package.

If you have any needs to complete the process soon, please let me know

Comment 3 Germano Massullo 2017-02-20 10:48:28 UTC
rubygem-celluloid will be packaged in an unknown future moment. For details read comment 9 and 12 of https://bugzilla.redhat.com/show_bug.cgi?id=1370096
Since the rubygem-celluloid-* packaging process has been procatinated, not aborted, I will continue working on this package review, completing it as soon as possible.

Comment 4 Germano Massullo 2018-01-06 00:00:09 UTC
No longer interested in submitting this package into Fedora repositories